AWS CDK CLI
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update AWS CDK CLI action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Run AWS CDK commands",
"type": "AWS_CDK_CLI",
"trigger_time": "ON_EVERY_EXECUTION",
"setup_commands": [
"apt-get update && apt-get -y install git"
],
"execute_commands": [
"cdk --version"
],
"shell": "SH",
"integration": {
"identifier": "aws"
},
"region": "us-west-2"
}'STATUS200 OK